Eclipse ( Android Bundle) Crashing

? curious_coder @ | Original: StackOverFlow
---

Vor kurzem habe ich auf Ubuntu 14.04 aktualisiert . Seitdem wurde Eclipse- Absturz . Die Botschaft ist,

# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x734be86d, pid=7930, tid=3076015872
#
# JRE version: Java(TM) SE Runtime Environment (8.0_05-b13) (build 1.8.0_05-b13)
# Java VM: Java HotSpot(TM) Client VM (25.5-b02 mixed mode linux-x86 )
# Problematic frame:
# C  [libsoup-2.4.so.1+0x5486d]  soup_session_feature_detach+0x1d
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/funcoding/Android Development/adt-bundle-linux-x86-20131030/eclipse/hs_err_pid7930.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Aborted (core dumped)

Ich habe auch versucht den Zusatz -Dorg.eclipse.swt.browser.DefaultType=mozilla", um eclipse.ini

Aktualisieren : Ich habe versucht, viele Dinge, aber hält am Absturz unerwartet . Schließlich habe ich beschlossen, mit Android Studio ( Lauf reibungslos ab sofort ) bleiben.

---

Top 5 Antwort

1yqlong @

Sie können Eclipse neu zu installieren.

Ich hatte dieses Problem nach dem Upgrade auf 14,04 bekam . Ich habe die neueste JRE, es hat nicht funktioniert . Dann bekam ich die neueste Eclipse und jetzt funktioniert es .

2Ian @

Dies ist nur eine temporäre Lösung, und ich bin sicher, es wird nicht als Antwort ausgewählt werden, aber ich stelle das hier, so dass jeder, der dieses Problem zumindest weiterhin Eclipse verwenden, bis eine bessere Lösung gefunden wird.

Tooltips scheinen die Ursache des Problems, damit ich sie deaktiviert . Ich bin in der Lage, um die Programmierung fortzusetzen, und ich habe es nicht auf mich stürzt wieder (noch) nicht hatte .

So deaktivieren Sie die Tool-Tipps gehen Sie zu Fenster> Benutzervorgaben > Java> Editor> Hover und deaktivieren Sie den gesamten Text zu schweben Zusatztaste Vorlieben.

Ich hoffe, das hilft .

edit:

Er stürzt auch wenn eclipse versucht, Inhalt unterstützen Anwender . So deaktivieren Sie diese auf Windows > Einstellungen > Java> Editor> Inhaltshilfe . Blättern Sie nach unten, um Auto- Aktivierung und deaktivieren Sie die automatische Aktivierung

3vitriolix @

Ich arbeite mit Ubuntu 14.04 und bekam dies mit dem Android ADT Bündel von Eclipse . Installation von Eclipse über das Ubuntu Software Center und die Installation ADT über die Richtungen verknüpft unten funktionierte für mich dann .

http://developer.android.com/sdk/installing/installing-adt.html

4Logko @

Dieser Fehler wurde hier berichtet : https://bugs.eclipse.org/bugs/show_bug.cgi?id=404776

Fix in Kommentaren, die auch für mich arbeitet beschrieben ist, um diese Zeile am Ende der Datei eclipse.ini hinzufügen

-Dorg.eclipse.swt.browser.DefaultType = Mozilla

5xcottos @

Dies ist wahrscheinlich nicht die intelligenteste Lösung, aber es ist definitiv meine Probleme gelöst :

nach dem Spiel mit eclipse.ini Parameter ich gebeten, einen Freund von mir mir seine eclipse.ini basierend auf Kepler zu geben, und ich fand heraus, dass einige Pakete in der Start aufgerufen waren jünger als diejenigen, die mit dem ADT -Bundle kommen .

So I:

1) installiert eine neue Kopie von Kepler 2) verwendet das Android Update-Site, um die Android- Rahmen hinzufügen 3) nach dem Neustart darauf bat mich, das Android SDK zu aktualisieren,

So weit ich hatte keine Crash ( Autovervollständigung etc.), so scheint es, ist das Problem gelöst ...

hope that helps

Luca